Name:           recoll
Version:        1.32.5
Release:        %mkrel 1
License:        GPLv2+
Summary:        Desktop full text search tool with a Qt5 gui
Group:          Databases
URL:            http://www.recoll.org/
Source0:        http://www.lesbonscomptes.com/recoll/%{name}-%{version}.tar.xz
Patch0:         recoll-py3-only.patch
BuildRequires:  pkgconfig(xapian-core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  bison-devel-static
BuildRequires:  aspell-devel
BuildRequires:  chmlib-devel
Requires:	xapian

%description
Recoll is a personal full text search tool for Unix/Linux.
It is based on the very strong Xapian backend, for which 
it provides an easy to use, feature-rich, easy administration, 
QT graphical interface.

%package -n kio-%{name}
Summary:	Kioslave for %{name}
Group:		Graphical desktop/KDE5
BuildRequires:	cmake
BuildRequires:	extra-cmake-modules
BuildRequires:  kio-devel
BuildRequires:	qtconcurrent5-devel

Requires:	%{name} = %{version}-%{release}
Requires:       plasma-framework

%description -n kio-%{name}
Kioslave for %{name} . Enables to perform querries and extract 
results in konqueror and dolphin.


%package -n python3-%{name}
Summary:        Python 3 extension module for recoll
Group:          Development/Python

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3
Requires:       %{name} >= %{version}-%{release}

Obsoletes:     python-recoll < %{version}-%{release}

%description -n python3-%{name}
Recoll Python 3 programming interface, for searching and indexing.


%prep
%setup -q
%apply_patches

%build
%configure2_5x \
    QMAKE=%{_qt5_bindir}/qmake
%make_build

%install
%makeinstall_std

# Remove library to avoid dynamic linkinkg
# when compiling kio recoll.
# The linking made kio recoll non functional
%__rm -f lib/librecoll.so*

pushd kde/kioslave/kio_recoll
%cmake
make
%makeinstall_std
popd


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# Add translations tags
(cd %{buildroot} && find . -name '*.qm') | sed -e 's|^.||' | sed -e \
    's:\(.*/translations/\)\([a-z]\+_\)\([a-zA-Z_]\+\)\(\.qm\):%lang(\3) \1\2\3\4:' \
        >> %{name}.lang

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/applications/recoll-searchgui.desktop
%{_datadir}/pixmaps/recoll.png
%{_datadir}/%{name}/doc/
%{_datadir}/%{name}/examples/
%{_datadir}/%{name}/filters/
%{_datadir}/%{name}/images/
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_iconsdir}/hicolor/48x48/apps/recoll.png
%{_mandir}/man1/recoll*
%{_mandir}/man5/recoll*
%{_libdir}/recoll/
%{_datadir}/metainfo/recoll.appdata.xml
%{_datadir}/man/man1/xadump.1.bz2

%files -n kio-%{name}
%defattr(-,root,root)
%dir %{_datadir}/kio_recoll
%{_libdir}/qt5/plugins/kio_recoll.so
%{_datadir}/kio_recoll/help.html
%{_datadir}/kio_recoll/welcome.html
%{_datadir}/kservices5/recoll.protocol
%{_datadir}/kservices5/recollf.protocol


%files -n python3-%{name}
%{python3_sitearch}/recoll/
%{python3_sitearch}/recollchm/
%{python3_sitearch}/Recoll-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/recollchm-*-py%{python3_version}.egg-info

%changelog
* Sun Aug 07 2022 TerryN <terryn94 at gmail.com> 1.32.5-1pclos2022
- update and rebuld for python 3.10
- drop python2 support

* Fri Jun 12 2020 ghostbunny <ghostbunny at gmx dot de> 1.27.2-1pclos2020
- 1.27.2
- add missing BRs kio-devel, libchm-devel, qtconcurrent5-devel, extra-cmake-modules

* Sat Mar 16 2019 tex - 1.25.5-1pclos2019
- new version

* Sat Feb 17 2018 bb2 <bb2> - 1.23.7-1pclos2018
- new version

* Thu Oct 12 2017 bb2 <bb2> 1.22.3-1pclos2017
- new version

* Wed Aug 06 2014 bb <bb> 1.19.14p2-1pclos2014
- update

* Sat Aug 17 2013 billybot <billybot> 1.19.2-2pclos2013
- update python 2.7

* Sat May 18 2013 pinoc <vogtpet at gmail.com> 1.19.2-1pclos2013
- 1.19.2
- disabled ld_undefined

* Wed Feb 07 2013 TerryN <terryn94 at gmail.com> 1.18.1-3pclos2013
- don't require -devel packages

* Sat Feb 02 2013 TerryN <terryn94 at gmail.com> 1.18.1-2pclos2013
- Fix permissions on filter scripts
- Add missing BuildRequires python-devel

